严重 afflib 代码执行漏洞

CVE编号

CVE-2007-2352

利用情况

暂无

补丁情况

N/A

披露时间

2007-05-01 11:19:00
漏洞描述
AFFLIB 2.2.6中的多种格式字符串漏洞使远程攻击者可以通过某些命令行参数执行任意代码,这些命令行参数用于(1)警告和(2)err调用中,可能涉及(a)lib / s3.cpp,(b )tools / afconvert.cpp,(c)tools / afcopy.cpp,(d)tools / afinfo.cpp,(e)aimage / imager.cpp和(f)tools / afxml.cpp。注意:此标识符旨在解决在CVE-2007-2054中未固定的向量,但未明确列出未固定的向量。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 afflib afflib * Up to
(including)
2.2.6
CVSS3评分
10
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
    完全地
  • 保密性
    完全地
  • 完整性
    完全地
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况